[Bug 1044868] Re: Unsecure passwords reported as acceptable during installation

Sebastien Bacher seb128 at ubuntu.com
Mon Sep 3 18:08:14 UTC 2012


GNOME started using libpwquality in 3.5 (will be available in Ubuntu next cycle):
https://fedorahosted.org/libpwquality/

"The libpwquality library purpose is to provide common functions for
password quality checking and also scoring them based on their apparent
randomness. The library also provides a function for generating random
passwords with good pronounceability. The library supports reading and
parsing of a configuration file. "

That should take care of the gnome-control-center side, maybe ubiquity
should use it as well...

** Changed in: gnome-control-center (Ubuntu)
   Importance: Undecided => Low

** Changed in: gnome-control-center (Ubuntu)
       Status: Confirmed => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to ubiquity in Ubuntu.
https://bugs.launchpad.net/bugs/1044868

Title:
  Unsecure passwords reported as acceptable during installation

Status in “gnome-control-center” package in Ubuntu:
  Triaged
Status in “ubiquity” package in Ubuntu:
  Confirmed

Bug description:
  This happened in a livecd installation from the ubuntu 12.04 desktop
  i386 iso file.

  During a installation on a VM I decided that the username should be
  usuario (user in spanish) and the password should be contraseña
  (password in spanish). The language of the installer was set to
  spanish.

  The bug is that the password "contraseña" was marked as acceptable
  (aceptable in spanish), witch is not.

  I suggest a password strength verification that includes the most used
  passwords (like 1234 or qwerty) or, at least, a dictionary that
  includes the word password in every language.

  I understand that the system must perceive the "ñ" character as a
  special symbol, but having declared a spanish keyboard it should not
  be treated as such. Nor with any other keymap and symbol that is non-
  english but present on them.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1044868/+subscriptions




More information about the foundations-bugs mailing list